﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }
    }

    public class Model
    {
        public string Text { get; set; }
        public double Value { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.Data = new ObservableCollection<Model>();
            Data.Add(new Model() { Text = "Car", Value = 25 });
            Data.Add(new Model() { Text = "Bus", Value = 12 });
            Data.Add(new Model() { Text = "Truck", Value = 33 });
            Data.Add(new Model() { Text = "TwoWheeler", Value = 10 });
        }
        public ObservableCollection<Model> Data { get; set; }
    }
}
